Skip to content

Activate listing

PUT
/v2/marketplace/{marketplaceId}/listing/listing/{listingId}/activate

Activate a listing by setting its status to active.

marketplaceId
required
string
123e4567-e89b-12d3-a456-426614174000

The ID of the marketplace

listingId
required
string
123e4567-e89b-12d3-a456-426614174000

The ID of the listing

The resource has been successfully updated.

object
title
required

The title of the listing

string
Digital Art Collection
description
required

The description of the listing

string
A collection of unique digital artworks
assetIds
required

Array of asset IDs

Array<string>
[
"asset-1",
"asset-2",
"asset-3"
]
state

The state of the listing

string
Allowed values: listed delisted sold locked locked.payment.initiated locked.payment.deposited
listed
status

The status of the listing

string
Allowed values: active inactive
active
paymentId

The unique ID for the payment

string
123e4567-e89b-12d3-a456-426614174000
assetSigningWalletId
required

The asset signing wallet ID

string
wallet-123
userId

The user ID

string
123e4567-e89b-12d3-a456-426614174000
organisationId

The organisation ID

string
123e4567-e89b-12d3-a456-426614174000
createdAt

The creation date

string
2024-01-01T00:00:00.000Z
updatedAt

The last update date

string
2024-01-01T00:00:00.000Z
acceptedPaymentMethods
required

Accepted payment methods

Array<object>
object
providerPaymethodId
required

The provider paymethod ID

string
paymethod-123
amount
required

The amount

string
100.00
currencyFiat

The fiat currency

string
USD
currencyContractDeploymentId

The contract deployment ID

string
contract-123
receiverAccounts
required

Receiver accounts

Array<object>
object
receiverAccountId

The receiver account ID

string
account-123
paymethodId
required

The paymethod ID

string
paymethod-123
marketplaceId
required

The ID of the marketplace

string
123e4567-e89b-12d3-a456-426614174000

Bad Request

Unauthorized

Forbidden

Not Found

Internal Server Error